# TODO:
# - not compatible with 2.0 version:
#   file /usr/lib/python2.4/site-packages/_sqlite.so from install of python-sqlite1-1.1.6-0.1 conflicts with file from package python-sqlite-1.1.1-3
#   file /usr/lib/python2.4/site-packages/sqlite/__init__.pyc from install of python-sqlite1-1.1.6-0.1 conflicts with file from package python-sqlite-1.1.1-3
#   file /usr/lib/python2.4/site-packages/sqlite/__init__.pyo from install of python-sqlite1-1.1.6-0.1 conflicts with file from package python-sqlite-1.1.1-3

%define		module	sqlite

Summary:	A DB API v1.0 compatible interface to SQLite
Summary(pl.UTF-8):	Interfejs do SQLite kompatybilny z DB API v1.0
Name:		python-%{module}1
Version:	1.1.7
Release:	7
License:	Free
Group:		Development/Languages/Python
Source0:	http://initd.org/pub/software/pysqlite/releases/1.1/%{version}/pysqlite-%{version}.tar.gz
# Source0-md5:	edbed4ccfdc114754c73081e79163be1
URL:		http://www.pysqlite.org/
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sqlite3-devel
Provides:	python(sqlite)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension module for the SQLite embedded relational
database. It tries to conform to the Python DB-API Spec v2 as far as
possible. One problem is that SQLite returns everything as text. This
is a result of SQLite's internal representation of data, however it
still may be possible to return data in the type specified by the
table definitions.

%description -l pl.UTF-8
Ten pakiet zawiera moduł rozszerzenia dla osadzalnej relacyjnej bazy
danych SQLite. Próbuje on być w zgodzie ze specyfikacją Python DB-API
v2 na tyle, na ile to możliwe. Jednym problemem jest to, że SQLite
zwraca wszystko jako tekst. Jest to wynik wewnętrznej reprezentacji
danych przez SQLite; mimo to nadal jest możliwe zwracanie danych typu
podanego w definicji tabeli.

%prep
%setup -q -n pysqlite

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

%py_install

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{module}/*.py
cp -aR examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LICENSE doc/rest/manual.txt
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*
%attr(755,root,root) %{py_sitedir}/_%{module}.so
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sqlite1.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a4e169e
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1456ff3
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 604bc6f
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 3365856
- release 6

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c4feb0a
- release 5

* Fri Apr 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 88d644f
- trac can use various sqlite versions

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2baba2e
- release 4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> eff8514
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 95818cc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2878a68
- converted to UTF-8

* Thu Oct 05 2006 wolf <wolf@pld-linux.org> 7d6fd1c
- rel 2

* Tue Mar 07 2006 wolf <wolf@pld-linux.org> 05cf239
- 1.1.7

* Wed Jul 06 2005 Elan Ruusamäe <glen@pld-linux.org> 5ccfd04
- doesn't work with python-sqlite version 2 installed

* Wed Jul 06 2005 Elan Ruusamäe <glen@pld-linux.org> 6818c87
- somewhy i believe version 1.0 is more appropriate
- truncate old changelog

* Sun Jun 05 2005 Andrzej Zawadzki <zawadaa@gmail.com> 0dd2fe4
- for those, who wants run trac
- please review

